<?php
/*
dev: https://factweb.ir
channel telegram : @factwebir
*/
// این فایل ادیت نشود
//روی یک دقیقه کرون جاب شود
// JOIN-> @factweb 
include "config.php"; // @factweb
//------------------------------------------------------//
error_reporting(0);
date_default_timezone_set('Asia/Tehran');
define('API_KEY',$API_KC); 

#================به روز رسانی قیمت دلار و ارزها=======
// تعریف توابع کمکی برای دریافت قیمت از نوبیتکس
function getNobitexPrice($pair) {
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, "https://api.nobitex.ir/v3/orderbook/$pair");
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    $response = json_decode(curl_exec($ch), true);
    curl_close($ch);
    
    return $response['lastTradePrice'];
}

// دریافت قیمت‌ها از نوبیتکس
$usdt_price = getNobitexPrice('USDTIRT');
$ton_price = getNobitexPrice('TONUSDT');
$trx_price = getNobitexPrice('TRXUSDT');

// تبدیل قیمت تتر به تومان
$dolar = floor($usdt_price / 10);

// بروزرسانی در دیتابیس
$connect->query("UPDATE settings SET pdolar = '$dolar', ptron='$trx_price', pton='$ton_price' WHERE botid = '$botid' LIMIT 1");

$current_time = time();
// حذف تراکنش‌های منقضی شده
mysqli_query($connect, "DELETE FROM transactions WHERE timeexpire <= '$current_time'");

// حذف تمام فایل‌های موجود در پوشه temp
$temp_dir = 'temp/';

// بررسی وجود دایرکتوری
if (is_dir($temp_dir)) {
    $files = scandir($temp_dir);
    
    foreach ($files as $file) {
        // پرش از فایل‌های . و ..
        if ($file === '.' || $file === '..') {
            continue;
        }
        
        $file_path = $temp_dir . $file;
        
        // فقط فایل‌ها حذف شوند
        if (is_file($file_path)) {
            unlink($file_path);
        }
    }
}
?>